html{
    scroll-behavior: smooth;
}

body{
    font-family: 'Courier New', Courier, monospace;
    background-color: pink;
    margin: 0;
    padding: 0;
}

header{
    position: fixed;
    width: 25%;
    height: 100vh;
    background-color: rgb(255, 254, 196);
    padding: 16px;
    box-sizing: border-box;
}

#menuPrincipal ul {
    margin: 0;
    padding: 0;
}

#menuPrincipal ul li{
    border-bottom: 2px dotted palegreen;
    list-style-type: none;
    line-height: 30px;
}

#menuPrincipal ul li a{
color: chartreuse;
}

#menuPrincipal ul li a:hover{
    color: coral ;
}

main{
    width: 75%;
    background-color: darkolivegreen;
    color:#fffec4 ;
    height: 300vh;
    margin-left: 25%;
    padding: 20px;
}

/* 
raccourci : main >* 
*/
main h1, 
main h2,
 main p{
max-width: 30vw;
min-width: 400px;
}

.souligne{
    border-bottom: 1px solid #fffec4;
}

#texte sup{

}

.note{ 
    float: right;
    color: rgb(255, 252, 79);
    max-width: 250px;
    margin-right: -300px;
}

main a{
    color: rgb(255, 0, 0)
}

#progression{
    position: fixed;
    height: 20px;
    background-color: #ff0000;
    width: 100%;
    top:0px;
    left:0px;
    z-index:2;
}
